
package com.gekko_holding.webservice.v2_4;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for bookingsCriteria complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="bookingsCriteria">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="bookingCreationDate" type="{http://webservice.gekko-holding.com/v2_4}rangeCriteria"/>
 *         &lt;element name="city" type="{http://webservice.gekko-holding.com/v2_4}cityBean" minOccurs="0"/>
 *         &lt;element name="country" type="{http://webservice.gekko-holding.com/v2_4}country" minOccurs="0"/>
 *         &lt;element name="checkInDate" type="{http://webservice.gekko-holding.com/v2_4}rangeCriteria" minOccurs="0"/>
 *         &lt;element name="paxName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="bookId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="status" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "bookingsCriteria", propOrder = {
    "bookingCreationDate",
    "city",
    "country",
    "checkInDate",
    "paxName",
    "bookId",
    "status"
})
public class BookingsCriteria {

    @XmlElement(required = true)
    protected RangeCriteria bookingCreationDate;
    protected CityBean city;
    protected Country country;
    protected RangeCriteria checkInDate;
    protected String paxName;
    protected String bookId;
    protected String status;

    /**
     * Gets the value of the bookingCreationDate property.
     * 
     * @return
     *     possible object is
     *     {@link RangeCriteria }
     *     
     */
    public RangeCriteria getBookingCreationDate() {
        return bookingCreationDate;
    }

    /**
     * Sets the value of the bookingCreationDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link RangeCriteria }
     *     
     */
    public void setBookingCreationDate(RangeCriteria value) {
        this.bookingCreationDate = value;
    }

    /**
     * Gets the value of the city property.
     * 
     * @return
     *     possible object is
     *     {@link CityBean }
     *     
     */
    public CityBean getCity() {
        return city;
    }

    /**
     * Sets the value of the city property.
     * 
     * @param value
     *     allowed object is
     *     {@link CityBean }
     *     
     */
    public void setCity(CityBean value) {
        this.city = value;
    }

    /**
     * Gets the value of the country property.
     * 
     * @return
     *     possible object is
     *     {@link Country }
     *     
     */
    public Country getCountry() {
        return country;
    }

    /**
     * Sets the value of the country property.
     * 
     * @param value
     *     allowed object is
     *     {@link Country }
     *     
     */
    public void setCountry(Country value) {
        this.country = value;
    }

    /**
     * Gets the value of the checkInDate property.
     * 
     * @return
     *     possible object is
     *     {@link RangeCriteria }
     *     
     */
    public RangeCriteria getCheckInDate() {
        return checkInDate;
    }

    /**
     * Sets the value of the checkInDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link RangeCriteria }
     *     
     */
    public void setCheckInDate(RangeCriteria value) {
        this.checkInDate = value;
    }

    /**
     * Gets the value of the paxName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPaxName() {
        return paxName;
    }

    /**
     * Sets the value of the paxName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPaxName(String value) {
        this.paxName = value;
    }

    /**
     * Gets the value of the bookId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBookId() {
        return bookId;
    }

    /**
     * Sets the value of the bookId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBookId(String value) {
        this.bookId = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatus(String value) {
        this.status = value;
    }

}
