
package com.gekko_holding.webservice.v2_4;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for availabilityCriteria complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="availabilityCriteria">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="checkIn" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="checkOut" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="destinationCriteria" type="{http://webservice.gekko-holding.com/v2_4}destinationCriteria"/>
 *         &lt;element name="roomCriterias">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="roomPlan" type="{http://webservice.gekko-holding.com/v2_4}roomPlan" maxOccurs="unbounded"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="limit" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="sortBy" type="{http://webservice.gekko-holding.com/v2_4}sortBy" minOccurs="0"/>
 *         &lt;element name="hotelNamePart" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="allowOnRequest" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="ratingCriteria" type="{http://webservice.gekko-holding.com/v2_4}hotelRatingCriteria" minOccurs="0"/>
 *         &lt;element name="rateAccessCodes" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="rateAccessCode" type="{http://webservice.gekko-holding.com/v2_4}rateAccessCode" maxOccurs="unbounded"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "availabilityCriteria", propOrder = {
    "checkIn",
    "checkOut",
    "destinationCriteria",
    "roomCriterias",
    "limit",
    "sortBy",
    "hotelNamePart",
    "allowOnRequest",
    "ratingCriteria",
    "rateAccessCodes"
})
public class AvailabilityCriteria {

    @XmlElement(required = true)
    protected String checkIn;
    @XmlElement(required = true)
    protected String checkOut;
    @XmlElement(required = true)
    protected DestinationCriteria destinationCriteria;
    @XmlElement(required = true)
    protected AvailabilityCriteria.RoomCriterias roomCriterias;
    protected int limit;
    @XmlElementRef(name = "sortBy", type = JAXBElement.class)
    protected JAXBElement<SortBy> sortBy;
    @XmlElementRef(name = "hotelNamePart", type = JAXBElement.class)
    protected JAXBElement<String> hotelNamePart;
    @XmlElementRef(name = "allowOnRequest", type = JAXBElement.class)
    protected JAXBElement<Boolean> allowOnRequest;
    @XmlElementRef(name = "ratingCriteria", type = JAXBElement.class)
    protected JAXBElement<HotelRatingCriteria> ratingCriteria;
    protected AvailabilityCriteria.RateAccessCodes rateAccessCodes;

    /**
     * Gets the value of the checkIn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCheckIn() {
        return checkIn;
    }

    /**
     * Sets the value of the checkIn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCheckIn(String value) {
        this.checkIn = value;
    }

    /**
     * Gets the value of the checkOut property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCheckOut() {
        return checkOut;
    }

    /**
     * Sets the value of the checkOut property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCheckOut(String value) {
        this.checkOut = value;
    }

    /**
     * Gets the value of the destinationCriteria property.
     * 
     * @return
     *     possible object is
     *     {@link DestinationCriteria }
     *     
     */
    public DestinationCriteria getDestinationCriteria() {
        return destinationCriteria;
    }

    /**
     * Sets the value of the destinationCriteria property.
     * 
     * @param value
     *     allowed object is
     *     {@link DestinationCriteria }
     *     
     */
    public void setDestinationCriteria(DestinationCriteria value) {
        this.destinationCriteria = value;
    }

    /**
     * Gets the value of the roomCriterias property.
     * 
     * @return
     *     possible object is
     *     {@link AvailabilityCriteria.RoomCriterias }
     *     
     */
    public AvailabilityCriteria.RoomCriterias getRoomCriterias() {
        return roomCriterias;
    }

    /**
     * Sets the value of the roomCriterias property.
     * 
     * @param value
     *     allowed object is
     *     {@link AvailabilityCriteria.RoomCriterias }
     *     
     */
    public void setRoomCriterias(AvailabilityCriteria.RoomCriterias value) {
        this.roomCriterias = value;
    }

    /**
     * Gets the value of the limit property.
     * 
     */
    public int getLimit() {
        return limit;
    }

    /**
     * Sets the value of the limit property.
     * 
     */
    public void setLimit(int value) {
        this.limit = value;
    }

    /**
     * Gets the value of the sortBy property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link SortBy }{@code >}
     *     
     */
    public JAXBElement<SortBy> getSortBy() {
        return sortBy;
    }

    /**
     * Sets the value of the sortBy property.
     * 
     * @param string
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link SortBy }{@code >}
     *     
     */
    public void setSortBy(JAXBElement<SortBy> value) {
        this.sortBy = ((JAXBElement<SortBy> ) value);
    }

    /**
     * Gets the value of the hotelNamePart property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getHotelNamePart() {
        return hotelNamePart;
    }

    /**
     * Sets the value of the hotelNamePart property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setHotelNamePart(JAXBElement<String> value) {
        this.hotelNamePart = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the allowOnRequest property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link Boolean }{@code >}
     *     
     */
    public JAXBElement<Boolean> getAllowOnRequest() {
        return allowOnRequest;
    }

    /**
     * Sets the value of the allowOnRequest property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link Boolean }{@code >}
     *     
     */
    public void setAllowOnRequest(JAXBElement<Boolean> value) {
        this.allowOnRequest = ((JAXBElement<Boolean> ) value);
    }

    /**
     * Gets the value of the ratingCriteria property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link HotelRatingCriteria }{@code >}
     *     
     */
    public JAXBElement<HotelRatingCriteria> getRatingCriteria() {
        return ratingCriteria;
    }

    /**
     * Sets the value of the ratingCriteria property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link HotelRatingCriteria }{@code >}
     *     
     */
    public void setRatingCriteria(JAXBElement<HotelRatingCriteria> value) {
        this.ratingCriteria = ((JAXBElement<HotelRatingCriteria> ) value);
    }

    /**
     * Gets the value of the rateAccessCodes property.
     * 
     * @return
     *     possible object is
     *     {@link AvailabilityCriteria.RateAccessCodes }
     *     
     */
    public AvailabilityCriteria.RateAccessCodes getRateAccessCodes() {
        return rateAccessCodes;
    }

    /**
     * Sets the value of the rateAccessCodes property.
     * 
     * @param value
     *     allowed object is
     *     {@link AvailabilityCriteria.RateAccessCodes }
     *     
     */
    public void setRateAccessCodes(AvailabilityCriteria.RateAccessCodes value) {
        this.rateAccessCodes = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="rateAccessCode" type="{http://webservice.gekko-holding.com/v2_4}rateAccessCode" maxOccurs="unbounded"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "rateAccessCode"
    })
    public static class RateAccessCodes {

        @XmlElement(required = true)
        protected List<RateAccessCode> rateAccessCode;

        /**
         * Gets the value of the rateAccessCode property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the rateAccessCode property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getRateAccessCode().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link RateAccessCode }
         * 
         * 
         */
        public List<RateAccessCode> getRateAccessCode() {
            if (rateAccessCode == null) {
                rateAccessCode = new ArrayList<RateAccessCode>();
            }
            return this.rateAccessCode;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="roomPlan" type="{http://webservice.gekko-holding.com/v2_4}roomPlan" maxOccurs="unbounded"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "roomPlan"
    })
    public static class RoomCriterias {

        @XmlElement(required = true)
        protected List<RoomPlan> roomPlan;

        /**
         * Gets the value of the roomPlan property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the roomPlan property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getRoomPlan().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link RoomPlan }
         * 
         * 
         */
        public List<RoomPlan> getRoomPlan() {
            if (roomPlan == null) {
                roomPlan = new ArrayList<RoomPlan>();
            }
            return this.roomPlan;
        }

    }

}
