
package com.gekko_holding.webservice.v2_4;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for roomOffer complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="roomOffer">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="roomType" type="{http://webservice.gekko-holding.com/v2_4}roomType"/>
 *         &lt;element name="boardType" type="{http://webservice.gekko-holding.com/v2_4}board"/>
 *         &lt;element name="roomPrice" type="{http://webservice.gekko-holding.com/v2_4}priceBean"/>
 *       &lt;/sequence>
 *       &lt;attribute name="roomIndex" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
 *       &lt;attribute name="adultsCount" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
 *       &lt;attribute name="childrenCount" type="{http://www.w3.org/2001/XMLSchema}int" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "roomOffer", propOrder = {
    "roomType",
    "boardType",
    "roomPrice"
})
public class RoomOffer {

    @XmlElement(required = true)
    protected RoomType roomType;
    @XmlElement(required = true)
    protected Board boardType;
    @XmlElement(required = true)
    protected PriceBean roomPrice;
    @XmlAttribute(name = "roomIndex", required = true)
    protected int roomIndex;
    @XmlAttribute(name = "adultsCount", required = true)
    protected int adultsCount;
    @XmlAttribute(name = "childrenCount")
    protected Integer childrenCount;

    /**
     * Gets the value of the roomType property.
     * 
     * @return
     *     possible object is
     *     {@link RoomType }
     *     
     */
    public RoomType getRoomType() {
        return roomType;
    }

    /**
     * Sets the value of the roomType property.
     * 
     * @param value
     *     allowed object is
     *     {@link RoomType }
     *     
     */
    public void setRoomType(RoomType value) {
        this.roomType = value;
    }

    /**
     * Gets the value of the boardType property.
     * 
     * @return
     *     possible object is
     *     {@link Board }
     *     
     */
    public Board getBoardType() {
        return boardType;
    }

    /**
     * Sets the value of the boardType property.
     * 
     * @param value
     *     allowed object is
     *     {@link Board }
     *     
     */
    public void setBoardType(Board value) {
        this.boardType = value;
    }

    /**
     * Gets the value of the roomPrice property.
     * 
     * @return
     *     possible object is
     *     {@link PriceBean }
     *     
     */
    public PriceBean getRoomPrice() {
        return roomPrice;
    }

    /**
     * Sets the value of the roomPrice property.
     * 
     * @param value
     *     allowed object is
     *     {@link PriceBean }
     *     
     */
    public void setRoomPrice(PriceBean value) {
        this.roomPrice = value;
    }

    /**
     * Gets the value of the roomIndex property.
     * 
     */
    public int getRoomIndex() {
        return roomIndex;
    }

    /**
     * Sets the value of the roomIndex property.
     * 
     */
    public void setRoomIndex(int value) {
        this.roomIndex = value;
    }

    /**
     * Gets the value of the adultsCount property.
     * 
     */
    public int getAdultsCount() {
        return adultsCount;
    }

    /**
     * Sets the value of the adultsCount property.
     * 
     */
    public void setAdultsCount(int value) {
        this.adultsCount = value;
    }

    /**
     * Gets the value of the childrenCount property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getChildrenCount() {
        return childrenCount;
    }

    /**
     * Sets the value of the childrenCount property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setChildrenCount(Integer value) {
        this.childrenCount = value;
    }

}
